



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>在SAE上同步djanogo的mysql数据库</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">在SAE上同步djanogo的mysql数据库</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-05 10:35:24 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>折腾了一个下午，终于搞掂了把djanogo应用的mysql数据库导入到SAE上了，归根到底麻烦的根源是SAE限制多多。下面简单记录一下过程以备日后参考使用。</p>
<p>首先还是修改settings.py，把数据库设置部分修改如下，以便在线上，或是在本机也能调用到数据库：</p>
<div>
<pre class="prettyprint linenums">if 'SERVER_SOFTWARE' in os.environ:<br />
    from sae.const import (<br />
        MYSQL_HOST, MYSQL_PORT, MYSQL_USER, MYSQL_PASS, MYSQL_DB,<br />
    )<br />
else:<br />
    MYSQL_HOST = 'localhost'<br />
    MYSQL_PORT = ''<br />
    MYSQL_USER = 'local_user'<br />
    MYSQL_PASS = 'local_passwd'<br />
    MYSQL_DB = 'app_cjyfff'

DATABASES = {<br />
    'default': {<br />
        'ENGINE': 'django.db.backends.mysql',<br />
        'NAME': MYSQL_DB,<br />
        'USER': MYSQL_USER,<br />
        'PASSWORD': MYSQL_PASS,<br />
        'HOST': MYSQL_HOST,<br />
        'PORT': MYSQL_PORT,<br />
    }<br />
}</pre>
</div>
<p>SAE的文档说可以线上创建自己的数据库的，但是我找了半天都没找到创建选项，只看到一个默认存在的数据库（本例中的app_cjyfff，这个名字取决于你所创建的app名称），于是我只好也在本地mysql上创建一个同名的数据库。注意创建时指定utf-8编码，否则中文会出现乱码。另外SAE对于个人用户，数据库只支持MyISAM引擎，所以在创建数据库之前记得修改my.cnf把默认引擎改为MyISAM。创建好app_cjyfff这个数据库后，到django的目录执行python manage.py syncdb命令在数据库中创建表，然后用mysqldump导出为sql文件。另外还要注意的是，可能由于SAE没有开放LOCK、UNLOCK的操作权限给用户，因此假如sql文件中有LOCK、UNLOCK语句的话会导致导入失败。把sql文件中的LOCK、UNLOCK语句删除即可。然后用SAE自带的phpMyAdmin把这个sql文件导入到SAE中吧。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/jqd5p3x9.html">Solve</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9pkdmd8.html">阿里云服务器Linux CentOS安装配置（零）目录</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8ory318.html">Day1&lpar;2016&sol;1&sol;21&rpar;&mdash;&mdash;Beginning</a>
		</li>
						<li><a href="https://www.batexi.com/a/g8egl6e9.html">Highcharts图形报表的简单使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7m7gdjq.html">Eclipse里面开发ExtJS程序</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvvr5x1q.html">PAT IO-02 整数四则运算</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e1jynx9.html">macos port总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1z4rjz9.html">字符集编码Unicode &comma;gb2312 cp936</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rd7ly78.html">通过 监听器获取sessionId</a>
		</li>
						<li><a href="https://www.batexi.com/a/95x1ww08.html">python处理xml的常用包（lib&period;xml、ElementTree、lxml）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gem7w48.html">poj3126（bfs）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgkdde8.html">win2003服务器定时自动重启命令</a>
		</li>
						<li><a href="https://www.batexi.com/a/8me5jm2q.html">noip前集训</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1xnejq.html">070、如何定制Calico 网络policy（2019-04-15 周一）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gj3pv79.html">linux下jenkins的时区设置问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pwgv4d8.html">墨刀联合有赞Vant组件库，让你轻松设计出电商原型</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e42v6k9.html">LOJ117 有源汇有上下界最小流（上下界网络流）</a>
		</li>
						<li><a href="https://www.batexi.com/a/960kv749.html">LeetCode（51）：N皇后</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j17k1g9.html">【EatBook】-NO&period;2&period;EatBook&period;2&period;JavaArchitecture&period;1&period;001-《修炼Java开发技术在架构中体验设计模式和算法之美》-</a>
		</li>
						<li><a href="https://www.batexi.com/a/93w24m0q.html">deepin云打印实现连接Windows打印机</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/95xzr1v8.html">WinServer 之 Windows Server 2008 R2安装IIS</a>
			</li>
						<li><a href="https://www.batexi.com/a/qlmwm769.html">Google翻译，3个步骤灭绝人类</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvvj1xzq.html">Linux 通过 load average 判断服务器负载情况</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwdnvjz8.html">如何在Linux上安装Tomcat</a>
			</li>
						<li><a href="https://www.batexi.com/a/qyd6yvxq.html">centos搭建本地库</a>
			</li>
						<li><a href="https://www.batexi.com/a/95xzgnm8.html">plsql设置窗口默认格式</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvvje2jq.html">&lbrack;改善Java代码&rsqb;警惕泛型是不能协变和逆变的</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvvjeroq.html">关于启动 Eclipse 弹出&OpenCurlyDoubleQuote;Failed to load the JNI shared library jvm&period;dll&rdquo;错误的解决方法！</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1zy5y59.html">RTC之初始化</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7m2l71q.html">《JavaScript模式》读书笔记</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
